Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.variables
Interface IDynamicVariable

All Superinterfaces:
  IStringVariable

public interface IDynamicVariable
extends IStringVariable

A dynamic variable is a variable whose value is computed dynamically by a resolver at the time a string substitution is performed. A dynamic variable is contributed by an extension.

The following is a definition of a dynamic variable that resolves to the name of the selected resource:

      <extension point="org.eclipse.core.variables.dynamicVariables">
        <variable
           name="resource_name"
           resolver="com.example.ResourceNameResolver"
           description="The name of the selected resource"
           supportsArgument="false">
        </variable>
      </extension>

Since:
  3.0

Method Summary
`String` | `getValue(String argument)` Returns the value of this variable when referenced with the given argument, possibly `null`.
`boolean` | `supportsArgument()` Returns whether this variable supports an argument, as specified by this variable's extension definition in plug-in XML.

Methods inherited from interface org.eclipse.core.variables.IStringVariable
`getDescription, getName`

Method Detail

### getValue

    public String getValue(String argument)
                    throws CoreException

  Returns the value of this variable when referenced with the given argument, possibly `null`.

  Parameters:
    `argument` - argument present in variable expression or `null` if none
  Returns:
    value of this variable when referenced with the given argument, possibly `null`
  Throws:
    `CoreException` - if unable to resolve a value for this variable

### supportsArgument

    public boolean supportsArgument()

  Returns whether this variable supports an argument, as specified by this variable's extension definition in plug-in XML.

  Returns:
    whether this variable supports an argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.